DELETE /twitter/retweet

Undo a repost. Body or query: accountId and tweetId

DELETE
/twitter/retweet

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Request Body

application/json
  1. body
accountId*string

X account id

tweetId*string

Response Body

{accountId, action, undo, target, reposted | liked | bookmarked | following}

application/json
  1. response
accountId?string
action?string
Value in"repost""like""bookmark""follow"
undo?boolean
target?string
reposted?boolean
liked?boolean
bookmarked?boolean
following?boolean
pendingFollow?boolean
Example Request
curl -X DELETE 'https://example.com/api/v1/twitter/retweet' \  -H 'Content-Type: application/json' \  -d '{  "accountId": "string",  "tweetId": "string"}'
Example Response
{  "accountId": "string",  "action": "repost",  "undo": true,  "target": "string",  "reposted": true,  "liked": true,  "bookmarked": true,  "following": true,  "pendingFollow": true}